Index: trunk/sources/HeuristicLab.Parameters/3.3/ConstrainedValueParameter.cs
===================================================================
--- trunk/sources/HeuristicLab.Parameters/3.3/ConstrainedValueParameter.cs	(revision 2996)
+++ trunk/sources/HeuristicLab.Parameters/3.3/ConstrainedValueParameter.cs	(revision 3017)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("ConstrainedValueParameter<T>", "A parameter whose value has to be chosen from a set of valid values.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class ConstrainedValueParameter<T> : OptionalConstrainedValueParameter<T> where T : class, IItem {
     public override T Value {
Index: trunk/sources/HeuristicLab.Parameters/3.3/LookupParameter.cs
===================================================================
--- trunk/sources/HeuristicLab.Parameters/3.3/LookupParameter.cs	(revision 2996)
+++ trunk/sources/HeuristicLab.Parameters/3.3/LookupParameter.cs	(revision 3017)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("LookupParameter<T>", "A parameter whose value is retrieved from or written to a scope.")]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class LookupParameter<T> : Parameter, ILookupParameter<T> where T : class, IItem {
     [Storable]
Index: trunk/sources/HeuristicLab.Parameters/3.3/OperatorParameter.cs
===================================================================
--- trunk/sources/HeuristicLab.Parameters/3.3/OperatorParameter.cs	(revision 2996)
+++ trunk/sources/HeuristicLab.Parameters/3.3/OperatorParameter.cs	(revision 3017)
@@ -28,5 +28,5 @@
   /// </summary>
   [Item("OperatorParameter", "A parameter which represents an operator.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Creatable("Test")]
   public class OperatorParameter : OptionalValueParameter<IOperator> {
Index: trunk/sources/HeuristicLab.Parameters/3.3/OptionalConstrainedValueParameter.cs
===================================================================
--- trunk/sources/HeuristicLab.Parameters/3.3/OptionalConstrainedValueParameter.cs	(revision 2996)
+++ trunk/sources/HeuristicLab.Parameters/3.3/OptionalConstrainedValueParameter.cs	(revision 3017)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("OptionalConstrainedValueParameter<T>", "A parameter whose value has to be chosen from a set of valid values or is null.")]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class OptionalConstrainedValueParameter<T> : Parameter, IValueParameter<T> where T : class, IItem {
     private ItemSet<T> validValues;
Index: trunk/sources/HeuristicLab.Parameters/3.3/OptionalValueParameter.cs
===================================================================
--- trunk/sources/HeuristicLab.Parameters/3.3/OptionalValueParameter.cs	(revision 2996)
+++ trunk/sources/HeuristicLab.Parameters/3.3/OptionalValueParameter.cs	(revision 3017)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("OptionalValueParameter<T>", "A parameter whose value is defined in the parameter itself or is null.")]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class OptionalValueParameter<T> : Parameter, IValueParameter<T> where T : class, IItem {
     private T value;
Index: trunk/sources/HeuristicLab.Parameters/3.3/Parameter.cs
===================================================================
--- trunk/sources/HeuristicLab.Parameters/3.3/Parameter.cs	(revision 2996)
+++ trunk/sources/HeuristicLab.Parameters/3.3/Parameter.cs	(revision 3017)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("Parameter", "A base class for parameters.")]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public abstract class Parameter : NamedItem, IParameter {
     public override bool CanChangeName {
Index: trunk/sources/HeuristicLab.Parameters/3.3/ScopeParameter.cs
===================================================================
--- trunk/sources/HeuristicLab.Parameters/3.3/ScopeParameter.cs	(revision 2996)
+++ trunk/sources/HeuristicLab.Parameters/3.3/ScopeParameter.cs	(revision 3017)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("ScopeParameter", "A parameter which represents the current scope.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Creatable("Test")]
   public class ScopeParameter : Parameter {
Index: trunk/sources/HeuristicLab.Parameters/3.3/SubScopesLookupParameter.cs
===================================================================
--- trunk/sources/HeuristicLab.Parameters/3.3/SubScopesLookupParameter.cs	(revision 2996)
+++ trunk/sources/HeuristicLab.Parameters/3.3/SubScopesLookupParameter.cs	(revision 3017)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("SubScopesLookupParameter<T>", "A generic parameter representing instances of type T which are collected from or written to the sub-scopes of the current scope.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class SubScopesLookupParameter<T> : LookupParameter<ItemArray<T>> where T : class, IItem {
     public SubScopesLookupParameter() : base() { }
Index: trunk/sources/HeuristicLab.Parameters/3.3/ValueLookupParameter.cs
===================================================================
--- trunk/sources/HeuristicLab.Parameters/3.3/ValueLookupParameter.cs	(revision 2996)
+++ trunk/sources/HeuristicLab.Parameters/3.3/ValueLookupParameter.cs	(revision 3017)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("ValueLookupParameter<T>", "A parameter whose value is either defined in the parameter itself or is retrieved from or written to a scope.")]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class ValueLookupParameter<T> : LookupParameter<T>, IValueLookupParameter<T> where T : class, IItem {
     private T value;
Index: trunk/sources/HeuristicLab.Parameters/3.3/ValueParameter.cs
===================================================================
--- trunk/sources/HeuristicLab.Parameters/3.3/ValueParameter.cs	(revision 2996)
+++ trunk/sources/HeuristicLab.Parameters/3.3/ValueParameter.cs	(revision 3017)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("ValueParameter<T>", "A parameter whose value is defined in the parameter itself.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class ValueParameter<T> : OptionalValueParameter<T> where T : class, IItem {
     public override T Value {
